Subject: [bug#38030] [Patch 13/13 v2] gnu: kpmcore: Update to 4.0.1

From: Marius Bakke <[email-masked]>
Date: Sun, 10 Nov 2019 00:09:16 +0100

Hartmut Goebel <[email-masked]> writes:

> Also move to kde.scm, since it is not a framework part.
>
> * gnu/packages/kde-frameworks.scm(kpmcore): Move from here …
> * gnu/packages/kde.scm(kpmcore): … to here, update to 4.0.1; [inputs]: Add
>   qttools, remove kiconthemes, kservice, libatasmart, parted; [arguments]: New
>   element.
> ---
>  gnu/packages/kde-frameworks.scm | 33 ------------------------------
>  gnu/packages/kde.scm            | 36 +++++++++++++++++++++++++++++++++
>  2 files changed, 36 insertions(+), 33 deletions(-)

I'd prefer if the move was done in a separate commit, to clarify the
changes done.

[...]

> +    (arguments
> +     ;; tests segfault, see <https://bugs.kde.org/show_bug.cgi?id=413851>,
> +     ;; remaining "testsmart" hangs. As of 4.0.1 tests are a farce anyway.
> +     '(#:tests? #f))

It looks like this was fixed upstream (thanks!).  Can we apply that
patch instead?

I did not look closely at the changes due to the mega-diff, but I trust
your judgement here.  :-)